body, html { height: 100%; }

.bdvm { border: #f00 1px solid; }
.bdvd { border: #0f0 1px solid; }
.bdaz { border: #00f 1px solid; }
.bdrx { border: #f0f 1px solid; }
.bdam { border: #ff0 1px solid; }

body {
  background-color:#fafcf9;
}

img {
  max-width: 100%;
}

.z-999 { z-index: 999; }
.fixed-tr { position: fixed; top: 15px; right: 15px; }
.fixed-tl { position: fixed; top: 15px; left: 15px; }
.fixed-br { position: fixed; bottom: 15px; right: 15px; }
.fixed-bl { position: fixed; bottom: 15px; left: 15px; }

.input-upper { text-transform: uppercase; }

.print-breakpoint {
   page-break-before: always;
}

.bootstrap-select .btn-light {
  background-color:#fff;
}

/* Modal */
.modal .modal-content {
    border: none;
}

  .modal .modal-content .modal-header {
      background: #4e73df;
      border-radius: 0.188rem 0.188rem 0 0;
      color: #fff;
  }

    .modal .modal-content .modal-header .close {
      color: #fff;
      text-shadow: none;
    }


.stat {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin-right: 10px;
  border-radius: 100%;
}

.bg-parado {
  background: #e74a3b !important;
  color: #fff;
}

.bg-pendente {
  background: #b4b6c0;
  color: #fff;
}

.bg-concluido {
  background: #1cc88a;
  color: #fff;
}

.bg-andamento {
  background: #f6c23e;
  color: #fff;
}

.card {
  border-radius:0;
}


.shadown {
    /*-webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);*/
    /*-moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);*/
    /*box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);*/

    box-shadow: 0 0.46875rem 2.1875rem rgba(4,9,20,0.03),
                0 0.9375rem 1.40625rem rgba(4,9,20,0.03),
                0 0.25rem 0.53125rem rgba(4,9,20,0.05),
                0 0.125rem 0.1875rem rgba(4,9,20,0.03);
    -moz-box-shadow: 0 0.46875rem 2.1875rem rgba(4,9,20,0.03),
                0 0.9375rem 1.40625rem rgba(4,9,20,0.03),
                0 0.25rem 0.53125rem rgba(4,9,20,0.05),
                0 0.125rem 0.1875rem rgba(4,9,20,0.03);
    -webkit-box-shadow: 0 0.46875rem 2.1875rem rgba(4,9,20,0.03),
                0 0.9375rem 1.40625rem rgba(4,9,20,0.03),
                0 0.25rem 0.53125rem rgba(4,9,20,0.05),
                0 0.125rem 0.1875rem rgba(4,9,20,0.03);
}

.circled {
  border-radius: 100% !important;
}

.user-avatar {
    /*border-radius: 100%;*/
    /*border: #f00 1px solid;*/
    display: inline-block;
    width: 50px;
    height: 50px;
    text-align: center;
    font-size: 48px;
    color: #ced1da;
    line-height: 0;
}

.relative {
  position: relative !important;
}

/* Custom Layout SB-admin-2 */

.sidebar .sidebar-brand {
  line-height: 20px;
  text-transform: none;
  font-weight: 600;
}

.sidebar .sidebar-heading {
    padding: 1rem;
}

.topbar .navbar-search {
  display: none !important;
}

.none {
  display: none;
}

.pointer {
  cursor: pointer !important;
}

.btn.btn-gradient {
    background-image: linear-gradient(to bottom, rgba(255,255,255,0.5), rgba(255,255,255,0.2) 49%, rgba(0,0,0,0.15) 51%, rgba(0,0,0,0.05));
    background-repeat: repeat-x;
}

.btn-light.bd {
    border-color: #d1d3e2;
}

.btn-inactive {
    color: #fff;
    background-color: #ccc;
    border-color: #ccc;
}

.btn-inactive:hover,
.btn-inactive:active {
    color: #fff;
    background-color: #aaa;
    border-color: #aaa;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    border-radius: 100%;
    font-size: 24px;
    line-height: 1.33;
}

.btn-circle.btn-lg {
    width: 45px;
    height: 45px;
    padding: 10px 16px;
    border-radius: 100%;
    font-size: 24px;
    line-height: 1.33;
}

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0px;
    border-radius: 100%;
    text-align: center;
    font-size: 12px;
    line-height: 1.42857;
}

/* Listas */

.badge-inactive {
    color: #fff;
    background-color: #ccc;
}

span.order {
  display: inline-block;
  width: 100%;
}

.table-marked tbody tr.marked {
  background: #edf1fd;
}

.tb-check {
  width: 45px;
}

#mass-action {
  height: 24px;
}

a.btn-del {
  color: #2e2f37 !important;
  cursor: pointer;
}

a.btn-del:active {
  color: #fff !important;
}

/*.btn-del { color: #000; }*/

/* Listas */

input.search-table {
  width: 100%;
  border: #e3e6f0 1px solid;
}

.table-actions tbody tr:hover {
    /*background-color:rgba(0,0,0,.015);*/
    -webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15);
}

.table-actions.table-bordered tbody tr:hover td {
    border-left:none;
    border-right:none;
    /*border-top-width: 3px !important;*/
    /*border-bottom-width: 3px !important;*/
}

.table-actions tbody tr .tr-actions {
    /* position: absolute; */
    /* top: 0; */
    /* right: 0; */
    /* height: 100%; */
    /* width: 100%; */
    /* background-color:#fff; */
    /* text-align: center; */
    /* display: none; */
}

.table-actions tbody tr.odd .tr-actions {
    /*background-color:#f2f2f2;*/
}

  .table-actions tbody tr .tr-actions a {
      color: #6e707e;
      font-size: 20px;
      display: inline-block;
      width: 36px;
      border-radius: 100%;
      padding: 3px 0;
      margin-top:7px;
      cursor: pointer;
      transition: all .2s;
      -o-transition: all .2s;
      -webkit-transition: all .2s;
  }

  .table-actions tbody tr .tr-actions a:hover {
      background: #eee;
      font-size: 18px;
      padding: 5px 0;
      margin-top: 6px;
      color: #000;
  }

  .table-actions tbody tr:hover .tr-actions {
    display: block;
  }


.table-actions tbody tr .tr-actions.relative {
    position: relative;
    top: unset;
    right: unset;
    height: unset;
    width: unset;
    display: block;
}

div.dataTables_wrapper div.dataTables_filter {
  text-align: left !important;
}

  div.dataTables_wrapper div.dataTables_filter label {
    display: block;
  }

    div.dataTables_wrapper div.dataTables_filter label input[type="search"] {
      width: 100% !important;
      display: block;
      margin-left: 0;
      margin-bottom: 20px;
      text-transform: uppercase;
    }

.table-actions tbody .tooltip-inner {
    background-color: #00cc00;
}
.table-actions tbody .tooltip.bs-tooltip-right .arrow:before {
    border-right-color: #00cc00 !important;
}
.table-actions tbody .tooltip.bs-tooltip-left .arrow:before {
    border-right-color: #00cc00 !important;
}
.table-actions tbody .tooltip.bs-tooltip-bottom .arrow:before {
    border-right-color: #00cc00 !important;
}
.table-actions tbody .tooltip.bs-tooltip-top .arrow:before {
    border-right-color: #00cc00 !important;
}

/* Formulários */

textarea { resize: none; }

label.has-error { color: #c00; font-size: 14px; margin-bottom: 0;  }

.has-error .help-block,
.has-error .control-label,
.has-error .radio,
.has-error .checkbox,
.has-error .radio-inline,
.has-error .checkbox-inline,
.has-error.radio label,
.has-error.checkbox label,
.has-error.radio-inline label,
.has-error.checkbox-inline label { color: #a94442; }
.custom-file.has-error input,
.has-error.form-control { border-color: #a94442; -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075); box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075); }
.has-error.form-control:focus { border-color: #843534; -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483; box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483; }
.has-error .form-control { border-color: #a94442; -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075); box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075); }
.has-error .form-control:focus { border-color: #843534; -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483; box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483; }
.has-error .input-group-addon { color: #a94442; background-color: #f2dede; border-color: #a94442; }
.has-error .form-control-feedback { color: #a94442; }
.btn-default.has-error { border-color: #a94442 !important; }
.tox-edit-area.has-error { border-color: #a94442 !important; }


input[type='text'].no-outline ,
input[type='number'].no-outline ,
input[type='password'].no-outline ,
textarea.no-outline {
  outline: none;
  box-shadow:none !important;
  border:1px solid #ccc !important;
}

.bootstrap-select button { border-color: #d1d3e2; }

.custom-file-input ~ .custom-file-label::after {
    content: "Procurar";
}

.tooltip-copy {
  position: absolute;
  background: #1cc88a;
  right: 0;
  padding: 5px 10px;
  font-size: 12px;
  color: #fff;
  top: -30px;
  display: none;
}

.nav.nav-custom {

}

.nav.nav-custom a {
  color:#858796;
}

.nav.nav-custom a.active {
  color:#4e73df;
  border-bottom: 0.25rem solid #4e73df !important;
}


.nav.nav-custom a {
  position: relative;
}

.nav.nav-custom li a::after {
    content: '';
    width: 100%;
    height: 4px;
    background-color: var(--blue);
    position: absolute;
    left: 0;
    bottom: -4px;
    transform: scale(0);
    transition: all 250ms ease-in-out 0s;
}

.nav.nav-custom li:hover a::after {
    content: '';
    width: 100%;
    height: 4px;
    background-color: var(--blue);
    position: absolute;
    left: 0;
    bottom: -4px;
    transition: all 250ms ease-in-out 0s;
    transform: scale(1);
}



ul.list-none {
  list-style: none;
}

.sidebar-dark .nav-item .nav-link.active,
.sidebar-dark .nav-item .nav-link.active i {
  color: #fff;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item.active,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item.active {
    background-color: #eaecf4;
}


/*.nav.nav-custom>li>a.active,
.nav.nav-custom>li>a:hover {
  border: none;
  color: #4285F4 !important;
  background: transparent;
}

.nav.nav-custom>li>a::after {
  content: "";
  background: #4285F4;
  height: 2px;
  position: absolute;
  width: 100%;
  left: 0px;
  bottom: -1px;
  transition: all 250ms ease 0s;
  transform: scale(0);
}

.nav.nav-custom>li>a.active::after,
.nav.nav-custom>li:hover>a::after {
  transform: scale(1);
}

.tab-nav>li>a::after {
  background: #21527d none repeat scroll 0% 0%;
  color: #fff;
}
*/



/* Fotos */

.box-foto .box {
  border: #dbdfef 1px solid;
  margin-bottom: 20px;
  position: relative;
  padding: 2px;
  background: #fff;
}

  .box-foto .box.marked {
    border: #4e73df 3px solid;
    margin-bottom: 20px;
    padding: 0px;
  }

  .box-foto .box .icon {
    position: absolute;
    z-index: 1;
    top: 7px;
    left: 7px;
    font-size: 24px;
    color: rgba(28, 200, 138, 0.75);
    display: none;
  }

  #btn-fotos-trash,
  #btn-fotos-check {
    color: #fff !important;
  }

  .box-foto .box .title {
    font-size: 12px;
    text-align: center;
  }

  .box-foto .box .actions a {
    margin-left: 5px;
  }

  .box-foto-placeholder {
    border:1px dashed #555;
    background:#fff;
    visibility: visible !important;
    float:left;
    margin:0;
    padding:0;
  }

  .box-foto-placeholder * {
    visibility:hidden;
  }

  .box-foto .box img {
    cursor: move;
  }

  .box-foto .box.disabled img {
    opacity: 0.3;
  }

/* Interações */

.interacao {

}


  .interacao .card-header .dropdown-toggle::after {
      display: none;
  }

  .interacao .avatar {
      background: #fff;
      float: left;
      margin-right: 10px;
  }

    .interacao .avatar img {
      width: 50px;
      height: 50px;
      border-radius: 100%;
      border: #e3e6f0 2px solid;
      border-radius: 100%;
    }

  .interacao .dados {
    float: left;
  }

  .interacao .float-right .avatar {
      margin-left: 10px;
  }

  a.attach-del {
    cursor: pointer;
    color: #fff !important;
  }

  .interacao .avatar span {
    width: 50px;
    height: 50px;
    border-radius: 100%;
    border: #e3e6f0 2px solid;
    background: #4e73df;
    color: #fff;
    display: block;
    text-align: center;
    font-size: 28px;
    padding-top: 3px;
  }

.no-results {
  text-align: center;
  width: 100%;
  padding: 75px 0;
}

  .no-results .icon {
    display: inline-block;
    padding: 32px 25px;
    background: #eee;
    border-radius: 50%;
    margin-bottom: 20px;
  }

    .no-results .icon i {
      font-size: 3em;
      color: #b0b0b0;
    }

    .no-results h3 {
      color: #555;
    }




@media print {

  .shadown {
      -webkit-box-shadow: none !important ;
      -moz-box-shadow: none !important;
      box-shadow: none !important;
  }

}

.btn-primary.btn-plus {
    border-radius: 100%;
    padding-top: 8px;
    padding-bottom: 5px;
}

/* NO CLASS  */
@media (min-width: 576px) {

  .box-foto {
      -webkit-box-flex: 0;
      -ms-flex: 0 0 50%;
      flex: 0 0 50%;
      max-width: 50%;
      padding-right: 0.5rem;
      padding-left: 0.5rem;
  }

}

@media (min-width: 680px) {

  .box-foto {
      -webkit-box-flex: 0;
      -ms-flex: 0 0 33.3333%;
      flex: 0 0 33.3333%;
      max-width: 33.3333%;
      padding-right: 0.5rem;
      padding-left: 0.5rem;
  }

}

@media (min-width: 768px) {

  .btn-plus {
    border-radius: 0.188rem !important;
  }

  .sidebar .nav-item .nav-link {
      padding: .5rem 1rem;
  }

}

@media (min-width: 992px) {


  .box-foto {
      -webkit-box-flex: 0;
      -ms-flex: 0 0 25%;
      flex: 0 0 25%;
      max-width: 25%;
      padding-right: 0.75rem;
      padding-left: 0.75rem;
  }

}

@media (min-width: 1200px) {




}

@media (min-width: 1350px) {

    .box-foto {
      -webkit-box-flex: 0;
      -ms-flex: 0 0 20%;
      flex: 0 0 20%;
      max-width: 20%;
    }
}

@media (min-width: 1500px) {

    .box-foto {
      -webkit-box-flex: 0;
      -ms-flex: 0 0 16.66667%;
      flex: 0 0 16.66667%;
      max-width: 16.66667%;
    }
}

@media print {

  .shadow {
    box-shadow: unset !important;
  }

  .card {
    border: none;
  }

  .card-header,
  .card-body,
  .card-footer {
    padding: 0;
  }

}
